Get normalized metadata from any supported video URL
curl --request GET \
--url https://api.urltodata.ai/v1/metadata \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"platform": "youtube",
"type": "video",
"id": "<string>",
"url": "<string>",
"title": "<string>",
"description": "<string>",
"author": {
"username": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"verified": true
},
"stats": {
"views": 123,
"likes": 123,
"comments": 123,
"shares": 123
},
"media": {},
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"additionalData": {}
}API Reference
Get normalized metadata from any supported video URL
Returns cross-platform normalized metadata including author, stats, media info, and tags.
GET
/
v1
/
metadata
Get normalized metadata from any supported video URL
curl --request GET \
--url https://api.urltodata.ai/v1/metadata \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.urltodata.ai/v1/metadata"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.urltodata.ai/v1/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"platform": "youtube",
"type": "video",
"id": "<string>",
"url": "<string>",
"title": "<string>",
"description": "<string>",
"author": {
"username": "<string>",
"displayName": "<string>",
"avatarUrl": "<string>",
"verified": true
},
"stats": {
"views": 123,
"likes": 123,
"comments": 123,
"shares": 123
},
"media": {},
"tags": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"additionalData": {}
}Authorizations
API key as Bearer token (e.g. Bearer mp_abc123_secret)
Query Parameters
Video or post URL
Response
200 - application/json
Metadata
Available options:
youtube, tiktok, instagram, twitter, facebook Available options:
video, image, carousel, post Show child attributes
Show child attributes
Show child attributes
Show child attributes